### Hierarchy

- DownloadCsvService

## Index

### Constructors

- constructor

### Properties

- encoding_
- extension_
- includeHeader_
- quote_
- separator_
- subscriptions

### Methods

- generateCsv
- getRow_
- startDownload

## Constructors

### constructor

- new DownloadCsvService(): DownloadCsvService

- - Defined in src/download/Csv.ts:52

  #### Returns DownloadCsvService

## Properties

### encoding_

encoding_: string

- Defined in src/download/Csv.ts:45

### extension_

extension_: string

- Defined in src/download/Csv.ts:46

### includeHeader_

includeHeader_: boolean

- Defined in src/download/Csv.ts:47

### quote_

quote_: string

- Defined in src/download/Csv.ts:48

### separator_

separator_: string

- Defined in src/download/Csv.ts:49

### subscriptions

subscriptions: Subscription[] = []

- Defined in src/download/Csv.ts:50

## Methods

### generateCsv

- generateCsv(data: {}[], columnDefs: GridColumnDef[]): string

- - Defined in src/download/Csv.ts:75

  Generate a CSV.

  #### Parameters

  - ##### data: {}[]

    Entries/objects to include in the CSV.

  - ##### columnDefs: GridColumnDef[]

    Column definitions.

  #### Returns string

  The CSV file as string.

### getRow_

- getRow_(values: any[]): string

- - Defined in src/download/Csv.ts:99

  #### Parameters

  - ##### values: any[]

    Values.

  #### Returns string

  CSV row.

### startDownload

- startDownload(data: {}[], columnDefs: GridColumnDef[], fileName: string): void

- - Defined in src/download/Csv.ts:124

  Generate a CSV and start a download with the generated file.

  #### Parameters

  - ##### data: {}[]

    Entries/objects to include in the CSV.

  - ##### columnDefs: GridColumnDef[]

    Column definitions.

  - ##### fileName: string

    The CSV file name, without the extension.

  #### Returns void

Generated using TypeDoc